For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact us
  • Introduction
    • Get Started
    • Authentication
    • Conventions
    • Filtering with FQL
    • Release Notes
  • API Reference
    • Activities
    • Amenities
    • Applications
    • Buildings
    • Customers
    • Deposits
    • Floor Plans
    • Households
    • Income Limits
      • GETList Income Limits
      • GETRead Income Limit
    • Leases
    • Listings
    • Maintenance
    • Move Ins
    • Move Outs
    • Properties
    • Prospects
    • Rent Changes
    • Reports
    • Reversals
    • Scheduled Reports
    • Scheduled Transactions
    • Screenings
    • Transactions
    • Turns
    • Units
    • Users
    • Work Orders
  • ILS Integration
Contact us
LogoLogo
API ReferenceIncome Limits

Read Income Limit

GET
https://api.fortresstech.io/v1/incomeLimits/:incomeLimitId
GET
/v1/incomeLimits/:incomeLimitId
$curl -G https://api.fortresstech.io/v1/incomeLimits/incomeLimitId \
> --data-urlencode fields=id,name,property.*,documents.type
200Retrieved
1{
2 "name": "name",
3 "amount": 1.1,
4 "numHouseholdMembers": 1,
5 "amiPercentage": "amiPercentage",
6 "effectiveDate": "effectiveDate",
7 "overIncomeThresholdPercentage": "overIncomeThresholdPercentage",
8 "programDescription": "programDescription",
9 "id": "id",
10 "readableId": "readableId",
11 "idempotencyId": "idempotencyId",
12 "createdAt": "2024-01-15T09:30:00Z",
13 "updatedAt": "2024-01-15T09:30:00Z",
14 "deletedAt": "2024-01-15T09:30:00Z",
15 "propertyId": "propertyId",
16 "organizationId": "organizationId"
17}
Info for a specific income limit
Was this page helpful?
Previous

Leases Overview

Next
Built with

Path parameters

incomeLimitIdstringRequired
The id of the income limit

Query parameters

fieldsstringOptionalformat: "^([a-zA-Z\.],?)+$"
Specific fields requested in the response. Defaults to all fields.

Response

Expected response to a valid request
namestring

Short name of the income limit policy (e.g. “60%”)

amountdouble
Income limit amount in USD
numHouseholdMembersinteger
Number of people in the household for the income limit
amiPercentagestring

Display-formatted Area Median Income (AMI) percentage for the income limit (e.g. “50%”, “60%”, “80%”). Use equality filtering only (e.g. amiPercentage=60%).

effectiveDatestringformat: "date"
Date when the income limit became effective
overIncomeThresholdPercentagestring

Over-income tolerance percentage for the program (e.g. “140%” for LIHTC, “80%” for HOME). Households exceeding the income limit but within this threshold may still qualify under program rules.

programDescriptionstring

Full descriptive name of the set-aside program (e.g. “51 units at or below 60% of median income”).

idstringformat: "uuid"
readableIdstring
idempotencyIdstringformat: "uuid"
createdAtdatetime
updatedAtdatetime
deletedAtdatetime
propertyIdstringformat: "uuid"
organizationIdstringformat: "uuid"